petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSResetTrajectory

Destroys and recreates the internal TSTrajectory object

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSResetTrajectory(TS ts)

Collective on TS

### Input Parameters

ts -the TS context obtained from TSCreate()

### See Also

TSGetTrajectory(), TSAdjointSolve()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages